Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Member Functions | List of all members
cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator Class Reference
Predicate Iterator Concept

An iterator implementing Predicate Iterator Concept enabling sequential read and write access to predicates.

`#include <predicate_vector.h>`

## Public Member Functions
CUTLASS_HOST_DEVICE | Iterator (Iterator const &it)
| Copy constructor. More...
CUTLASS_HOST_DEVICE | Iterator (PredicateVector &_vec, int _start=0)
| Constructs an iterator from a PredicateVector. More...
CUTLASS_HOST_DEVICE Iterator & | operator++ ()
| Pre-increment. More...
CUTLASS_HOST_DEVICE Iterator & | operator-- ()
| Pre-decrement. More...
CUTLASS_HOST_DEVICE Iterator | operator++ (int)
| Post-increment. More...
CUTLASS_HOST_DEVICE Iterator | operator-- (int)
| Post-decrement. More...
CUTLASS_HOST_DEVICE bool | operator== (Iterator const &it) const
| Returns true if iterators point to the same bit. More...
CUTLASS_HOST_DEVICE bool | operator!= (Iterator const &it) const
| Returns false if iterators point to the same bit. More...
CUTLASS_HOST_DEVICE bool | get ()
| Gets the bit at the pointed to location. More...
CUTLASS_HOST_DEVICE bool | operator* () const
| Dereferences iterator. More...
CUTLASS_HOST_DEVICE void | set (bool value=true)
| Sets the bit at the pointed to location. More...

## Constructor & Destructor Documentation

## ◆ Iterator() [1/2]

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator::Iterator | ( | Iterator const & | it | ) |
| inline

## ◆ Iterator() [2/2]

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator::Iterator | ( | PredicateVector & | _vec,
|  | int | _start = `0`
| ) |  |
| inline

## Member Function Documentation

## ◆ get()

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE bool cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator::get | ( |  | ) |
| inline

## ◆ operator!=()

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE bool cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator::operator!= | ( | Iterator const & | it | ) | const
| inline

## ◆ operator*()

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE bool cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator::operator* | ( |  | ) | const
| inline

## ◆ operator++() [1/2]

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE Iterator& cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator::operator++ | ( |  | ) |
| inline

## ◆ operator++() [2/2]

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE Iterator cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator::operator++ | ( | int |  | ) |
| inline

## ◆ operator--() [1/2]

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE Iterator& cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator::operator-- | ( |  | ) |
| inline

## ◆ operator--() [2/2]

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE Iterator cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator::operator-- | ( | int |  | ) |
| inline

## ◆ operator==()

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE bool cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator::operator== | ( | Iterator const & | it | ) | const
| inline

## ◆ set()

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE void cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator::set | ( | bool | value = `true` | ) |
| inline

The documentation for this class was generated from the following file:

- predicate_vector.h